<template>
  <a
    class="button-anchor"
    :href="href">
    <slot></slot>
  </a>
</template>

<script>
export default {
  props: ['href']
}
</script>

<style>
.button-anchor {
  display: block;
  width: 100%;
  height: 100%;

  display: flex;
  justify-content: center;
  align-items: center;

  text-decoration: none;
  text-transform: uppercase;

  border-radius: 10px;

  background-color: var(--white);
}

.button-anchor:hover {
  transition-duration: 0.35s;
  font-weight: bold;
  box-shadow: 3px 3px 3px var(--black-shadow);
}

.button-anchor:active {
  box-shadow: inset 3px 3px 3px var(--white-shadow);
  color: var(--primary-color);
}

.button-anchor:visited {
  color: var(--primary-color);
}
</style>
